Bug 1638384 (CVE-2018-12544) - CVE-2018-12544 vertx: API Validation XML Schemas do not forbid file system access
Summary: CVE-2018-12544 vertx: API Validation XML Schemas do not forbid file system ac...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12544
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1638393
TreeView+ depends on / blocked
 
Reported: 2018-10-11 12:46 UTC by Andrej Nemec
Modified: 2019-09-29 15:00 UTC (History)
11 users (show)

Fixed In Version: vertx-web 3.5.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2946 None None None 2018-10-18 08:15:01 UTC

Description Andrej Nemec 2018-10-11 12:46:39 UTC
An XML External Entity vulnerability was found in vertx-web before 3.5.4. The function isValid didn't provide any XXE protection when parsing an XML document.

Upstream issue:

https://github.com/vert-x3/vertx-web/issues/1021

References:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=539568

Upstream patches:

https://github.com/vert-x3/vertx-web/pull/1022/commits/d814d22ade14bafec47c4447a4ba9bff090f05e8
https://github.com/vert-x3/vertx-web/pull/1022/commits/26db16c7b32e655b489d1a71605f9a785f788e41

Comment 2 errata-xmlrpc 2018-10-18 08:14:54 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes (text-only advisories)

Via RHSA-2018:2946 https://access.redhat.com/errata/RHSA-2018:2946


Note You need to log in before you can comment on or make changes to this bug.